Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1560299

Summary: Eclipse close button appears on the right side in an RTL locale under Wayland
Product: [Fedora] Fedora Reporter: Hedayat Vatankhah <hedayatv>
Component: eclipseAssignee: Eric Williams <ericwill>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: akurtako, ebaron, jerboaa, krzysztof.daniel, lef, mat.booth, rgrunber
Target Milestone: ---Keywords: FutureFeature
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-08-18 08:28:05 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1277927    

Description Hedayat Vatankhah 2018-03-25 18:56:41 UTC
Description of problem:
In an RTL locale, the 'Close' button of applications appear on the left side. However, under Wayland, it doesn't happen for libreoffice (but works for other applications I use). It is completely similar to bug #1392145

Note that no lang pack is installed. 

Version-Release number of selected component (if applicable):
eclipse-platform-4.7.2-1.fc27.x86_64

Comment 1 Mat Booth 2018-03-26 12:07:41 UTC
Eric, is this something that is fixed upstream?

Comment 2 Eric Williams 2018-03-26 18:30:14 UTC
(In reply to Mat Booth from comment #1)
> Eric, is this something that is fixed upstream?

Nope, it's still reproducible upstream on 4.8 M6. I've filed an upstream bug and added it to the Wayland umbrella bug.

Comment 3 Mat Booth 2018-03-27 15:00:38 UTC
Thanks Eric.

Thanks Hedayat for the bug report.

Comment 4 Ben Cotton 2018-11-27 16:27:13 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Mat Booth 2018-11-27 16:38:10 UTC
Upstream bug is still open.

Comment 6 Miro HronĨok 2021-08-18 08:28:05 UTC
Automation has figured out the package is retired in rawhide.

If you like it to be unretired, please open a ticket at https://pagure.io/releng/new_issue?template=package_unretirement